# class Rinda::WaitTemplateEntry

Documentation?

### Attributes

found[R]

### Public Class Methods

new(place, ary, expires=nil) click to toggle source
Calls superclass method `Rinda::TupleEntry::new`

    # File lib/rinda/tuplespace.rb, line 186
    def initialize(place, ary, expires=nil)
      super(ary, expires)
      @place = place
      @cond = place.new_cond
      @found = nil
    end

### Public Instance Methods

cancel() click to toggle source
Calls superclass method `Rinda::TupleEntry#cancel`

    # File lib/rinda/tuplespace.rb, line 193
    def cancel
      super
      signal
    end

read(tuple) click to toggle source

    # File lib/rinda/tuplespace.rb, line 202
    def read(tuple)
      @found = tuple
      signal
    end

signal() click to toggle source

    # File lib/rinda/tuplespace.rb, line 207
    def signal
      @place.synchronize do
        @cond.signal
      end
    end

wait() click to toggle source

    # File lib/rinda/tuplespace.rb, line 198
    def wait
      @cond.wait
    end